object frmMain: TfrmMain
  Left = 192
  Top = 200
  Caption = 'ECDSA Demo'
  ClientHeight = 618
  ClientWidth = 742
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -6
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 163
    Top = 13
    Width = 53
    Height = 13
    Caption = 'Private key'
  end
  object Label2: TLabel
    Left = 163
    Top = 189
    Width = 49
    Height = 13
    Caption = 'Public key'
  end
  object Label3: TLabel
    Left = 163
    Top = 364
    Width = 43
    Height = 13
    Caption = 'Message'
  end
  object Signature: TLabel
    Left = 163
    Top = 455
    Width = 45
    Height = 13
    Caption = 'Signature'
  end
  object lblCreationTime: TLabel
    Left = 254
    Top = 13
    Width = 90
    Height = 13
    Caption = 'No key created yet'
  end
  object lblSignStat: TLabel
    Left = 20
    Top = 423
    Width = 54
    Height = 13
    Caption = 'Not verified'
  end
  object btnCreateKey: TButton
    Left = 20
    Top = 13
    Width = 60
    Height = 20
    Caption = 'Create Key'
    TabOrder = 0
    OnClick = btnCreateKeyClick
  end
  object memPrivKey: TMemo
    Left = 163
    Top = 26
    Width = 423
    Height = 150
    Lines.Strings = (
      '')
    ScrollBars = ssVertical
    TabOrder = 1
    OnChange = memPrivKeyChange
  end
  object memPublKey: TMemo
    Left = 163
    Top = 202
    Width = 423
    Height = 150
    ScrollBars = ssVertical
    TabOrder = 2
    OnChange = memPrivKeyChange
  end
  object rgKeySize: TRadioGroup
    Left = 20
    Top = 46
    Width = 130
    Height = 202
    Caption = 'Curve'
    ItemIndex = 6
    Items.Strings = (
      'prime192v1'
      'prime192v2'
      'prime192v3'
      'prime239v1'
      'prime239v2'
      'prime239v3'
      'prime256v1'
      'prime224'
      'prime384'
      'prime521')
    TabOrder = 3
    OnClick = rgKeySizeClick
  end
  object btnSign: TButton
    Left = 20
    Top = 371
    Width = 60
    Height = 20
    Caption = 'Sign'
    Enabled = False
    TabOrder = 4
    OnClick = btnSignClick
  end
  object btnVerify: TButton
    Left = 20
    Top = 397
    Width = 60
    Height = 20
    Caption = 'Verify'
    Enabled = False
    TabOrder = 5
    OnClick = btnVerifyClick
  end
  object memMsg: TMemo
    Left = 163
    Top = 377
    Width = 423
    Height = 72
    Lines.Strings = (
      'Some sample message.')
    ScrollBars = ssVertical
    TabOrder = 6
  end
  object edtSign: TEdit
    Left = 163
    Top = 468
    Width = 423
    Height = 21
    TabOrder = 7
  end
  object rgDigestAlg: TRadioGroup
    Left = 20
    Top = 254
    Width = 130
    Height = 111
    Caption = 'Digest Algorithm'
    ItemIndex = 0
    Items.Strings = (
      'SHA-1 (160 bits)'
      'SHA-224'
      'SHA-256'
      'SHA-384'
      'SHA-512')
    TabOrder = 8
    OnClick = rgKeySizeClick
  end
  object btnLoad: TButton
    Left = 91
    Top = 13
    Width = 61
    Height = 20
    Caption = 'Load'
    Enabled = False
    TabOrder = 9
    OnClick = btnLoadClick
  end
  object ECDSAKey: TstECDSAKey
    EnabledDesignTime = False
    EnabledRunTime = False
    PublicKeyFormat.SelOptions = 'ECDSA-XmlString-Public'
    PublicKeyFileName = 'publ.xml'
    DEREncode = False
    PrivateKeyFormat.SelOptions = 'ECDSA-XmlString-Private'
    PrivateKeyFileName = 'priv.xml'
    Left = 256
    Top = 16
  end
end
